Bug 219265 - Update math/superlu_mt to version 3.1
Summary: Update math/superlu_mt to version 3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-13 21:41 UTC by Pedro F. Giffuni
Modified: 2017-06-17 08:34 UTC (History)
1 user (show)

See Also:


Attachments
Update SuperLU_mt to version 3.1 (10.81 KB, patch)
2017-05-13 21:41 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 3.1 (11.16 KB, patch)
2017-05-13 22:42 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 3.1 (12.49 KB, patch)
2017-05-29 03:15 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 3.1 (12.48 KB, patch)
2017-05-29 03:48 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 2.4 (11.91 KB, patch)
2017-05-29 20:41 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 3.1 (12.56 KB, patch)
2017-05-29 22:03 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 3.1 (13.05 KB, patch)
2017-06-11 22:19 UTC, Pedro F. Giffuni
no flags Details | Diff
Update SuperLU_mt to version 3.1 (14.25 KB, patch)
2017-06-12 20:23 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2017-05-13 21:41:27 UTC
Created attachment 182577 [details]
Update SuperLU_mt to version 3.1

Better performance, some header re-sorting.

While here do some cleanups:

Move the sparc64 broken message along with aarch64.
ifdef the testing stuff: it is done in any build already.
Use makepatch.
Add LICENSE.
Comment 1 Pedro F. Giffuni freebsd_committer 2017-05-13 22:42:48 UTC
Created attachment 182578 [details]
Update SuperLU_mt to version 3.1

Minor change: remove the version from pkg-descr.
Comment 2 Pedro F. Giffuni freebsd_committer 2017-05-29 03:15:32 UTC
Created attachment 183023 [details]
Update SuperLU_mt to version 3.1

Use the (_PTHREAD) "platform" in the library name: this is an upstream convention that al least one WIP port (sundials) wants: The port needs to distinguish between the threaded version, which we build, and the new OpenMP version that is incompatible.

Using the internal platform definition makes redundant some patches.
Comment 3 Pedro F. Giffuni freebsd_committer 2017-05-29 03:48:44 UTC
Created attachment 183024 [details]
Update SuperLU_mt to version 3.1

Minor cleanup: no idea why we were using CPPFLAGS in addition to CFLAGS but it builds fine with just CFLAGS.
Comment 4 Pedro F. Giffuni freebsd_committer 2017-05-29 20:41:57 UTC
Created attachment 183039 [details]
Update SuperLU_mt to version 2.4

Back-pedal a bit. Update the port only to version 2.4 for now. Updating to newer versions breaks cad/tochnog due to the changed headers for the threaded case.

With this update tochnog still needs a much smaller fix for the renamed library. That will be coming soon.
Comment 5 Pedro F. Giffuni freebsd_committer 2017-05-29 21:50:56 UTC
Unfortunately it is not easy to fix multithreaded tochnog on either newer version.
Comment 6 Pedro F. Giffuni freebsd_committer 2017-05-29 22:03:56 UTC
Created attachment 183044 [details]
Update SuperLU_mt to version 3.1

Small, and hopefully last, cleanup: no need to specify twice the issues on sparc64.
Comment 7 Pedro F. Giffuni freebsd_committer 2017-06-11 22:19:18 UTC
Created attachment 183412 [details]
Update SuperLU_mt to version 3.1

More cleanups:
- Bump the shared lib version to match upstream.
- Install the User Guide.
Comment 8 Pedro F. Giffuni freebsd_committer 2017-06-12 20:23:43 UTC
Created attachment 183438 [details]
Update SuperLU_mt to version 3.1

Update pkg-descr ...

What was once alpha quality is now fully supported.
Comment 9 Thierry Thomas freebsd_committer 2017-06-17 08:34:24 UTC
Committed, thanks!
Comment 10 commit-hook freebsd_committer 2017-06-17 08:34:52 UTC
A commit references this bug:

Author: thierry
Date: Sat Jun 17 08:34:20 UTC 2017
New revision: 443735
URL: https://svnweb.freebsd.org/changeset/ports/443735

Log:
  Update math/superlu_mt to version 3.1, along with some cleanups.

  PR:		219265
  Submitted by:	pfg

Changes:
  head/math/superlu_mt/Makefile
  head/math/superlu_mt/distinfo
  head/math/superlu_mt/files/patch-INSTALL-Makefile
  head/math/superlu_mt/files/patch-SRC+slu_mt_util.h
  head/math/superlu_mt/files/patch-TESTING+pddrive.c
  head/math/superlu_mt/files/patch-TESTING+pdgssv.c
  head/math/superlu_mt/files/patch-TESTING+pdgssvx.c
  head/math/superlu_mt/files/patch-make.inc
  head/math/superlu_mt/pkg-descr
  head/math/superlu_mt/pkg-plist